
Core - Bug # 21084

Status: Closed Priority: Must have
Author: Michael Elzer Category: Workspaces
Created: 2010-08-09 Assigned To: Susanne Moog
Updated: 2014-12-12 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Pages in Workspaces are not editable anymore, course of a "PHP Catchable Fatal Error"
Description

If you are working in a workspace and try to click on a page using the left mousekey to open a menu, the following error appeared
(similary to Bug-ID 15292):

PHP Catchable Fatal Error: Argument 2 passed to t3lib_iconWorks::getSpriteIconForRecord() must be an array, null given,
/typo3_src/typo3_src-4.4.2/typo3/sysext/cms/layout/class.tx_cms_layout.php on line 570 and defined in
~/typo3_src/typo3_src-4.4.2/t3lib/class.t3lib_iconworks.php line 735

Bug happens only in workspaces - Live-Edit works fine. Had to go back to 4.4.0.

Problem appeared since 4.4.1 and stayed in 4.4.2. 
(issue imported from #M15401)

Related issues:
related to Core - Bug # 15627: SC_db_layout::exec_languageQuery() selects pag... Closed 2006-02-15
related to Core - Bug # 25372: PHP Catchable Fatal Error: t3lib_iconWorks::ge... Closed 2011-03-22

History
#1 - 2010-08-09 13:32 - Georg Ringer

sorry I can't reproduce it. can you tell which steps need to be followed to reproduce it. 
- Are you working in the page module (templavoila?) or in the workspace module?
- On which icon do you click?

I tested with current trunk

#2 - 2010-08-09 14:35 - Michael Elzer

- Login as administrator or as a user who has access to more than one workspace and the live-environment
- Choose a workspace (problem appears on all of our workspaces)
- Change to view "Web > Page" 
 Click on the title of the page (to get a overview of the content on the right side)

The error-message should appear now.

If a user has only access to one workspace, the problem does not appear.
We don't use templavoila.
#3 - 2010-08-10 16:36 - Michael Elzer

Addition:

If a Page has no translation, the first translation of this page in another workspace works fine and no error message appears. All additional translation
of this same page in another workspace ends in the error message.

It looks as if the error appears only when a translation was created in another workspace. Pages who are completed/translated and do not appear in
any workspace work fine and no error-message is displayed.

#4 - 2010-08-10 16:56 - Georg Ringer

sorry, still not reproducable.

#5 - 2010-08-11 17:06 - Georg Ringer

To Reproduce:
1) Requirements: 2+ WS, 2+ languages
2) Create a page in Live WS
3) Create one translation in WS #1
4) Switch to WS #2 > Errir

#6 - 2011-04-10 19:54 - Susanne Moog
- Assigned To deleted (Georg Ringer)
- Target version deleted (0)

Should be fixable by making the function exec_languageQuery in db_layout.php workspaces aware.

#7 - 2011-04-29 18:56 - Susanne Moog
- Assigned To set to Susanne Moog

#8 - 2011-08-28 22:23 - Tolleiv Nietsch
- Status changed from Accepted to Needs Feedback

Anyone able to reproduce it atm (running 4.6beta)?

#9 - 2011-08-30 15:49 - Christian Buelter

I could reproduce this with the TYPO3 introduction package 4.5.5:

1. Switch to a workspace.
2. Create a language page overlay.
3. Create a text element on that page in the new language.
4. Switch back to live workspace.
5. Open the page usinge the "page" module in the backend.
#10 - 2011-10-07 12:28 - Mr. Hudson

Patch set 1 of change I63893e4943ac025f95481ed22d8ac273455a4057 has been pushed to the review server.
It is available at http://review.typo3.org/5609

#11 - 2011-10-07 12:30 - Tolleiv Nietsch

Patch worked for me - haven't found it in Gerrit elsewhere so I pushed it although I'm not the author. Who is? "Administrator" - Susanne?

#12 - 2011-10-07 12:30 - Tolleiv Nietsch
- Status changed from Needs Feedback to Under Review

#13 - 2011-11-24 17:51 - Susanne Moog

Tolleiv Nietsch wrote:

Patch worked for me - haven't found it in Gerrit elsewhere so I pushed it although I'm not the author. Who is? "Administrator" - Susanne?

Georg is: See http://bugs.typo3.org/view.php?id=15401

#14 - 2012-03-13 13:11 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5609

#15 - 2012-11-27 02:03 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5609

#16 - 2013-05-28 20:45 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/5609

#17 - 2013-09-17 17:51 - Ernesto Baschny
- Project changed from Workspaces & Versioning to Core
- Priority changed from Should have to Must have

#18 - 2013-09-17 17:51 - Ernesto Baschny
- Category set to Workspaces
- TYPO3 Version changed from 4.4 to 4.5
- Is Regression set to No

#19 - 2014-03-10 12:04 - Alexander Opitz
What ist the state of this issue?

#20 - 2014-12-12 21:36 - Wouter Wolters
- Status changed from Under Review to Closed

Fixed with #42281

Files
15401-ws-lang.patch 790 Bytes 2010-08-11 Administrator Admin
